<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "https://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<title>TestNG Report</title>
<style type="text/css">table {margin-bottom:10px;border-collapse:collapse;empty-cells:show}th,td {border:1px solid #009;padding:.25em .5em}th {vertical-align:bottom}td {vertical-align:top}table a {font-weight:bold}.stripe td {background-color: #E6EBF9}.num {text-align:right}.passedodd td {background-color: #3F3}.passedeven td {background-color: #0A0}.skippedodd td {background-color: #DDD}.skippedeven td {background-color: #CCC}.failedodd td,.attn {background-color: #F33}.failedeven td,.stripe .attn {background-color: #D00}.stacktrace {white-space:pre;font-family:monospace}.totop {font-size:85%;text-align:center;border-bottom:2px solid #000}.invisible {display:none}</style>
</head>
<body>
<table>
<tr><th>Test</th><th># Passed</th><th># Skipped</th><th># Retried</th><th># Failed</th><th>Time (ms)</th><th>Included Groups</th><th>Excluded Groups</th></tr>
<tr><th colspan="8">Default suite</th></tr>
<tr><td><a href="#t0">Default test</a></td><td class="num">2</td><td class="num">0</td><td class="num">0</td><td class="num attn">1</td><td class="num">20,104</td><td></td><td></td></tr>
</table>
<table id='summary'><thead><tr><th>Class</th><th>Method</th><th>Start</th><th>Time (ms)</th></tr></thead><tbody><tr><th colspan="4">Default suite</th></tr></tbody><tbody id="t0"><tr><th colspan="4">Default test &#8212; failed</th></tr><tr class="failedeven"><td rowspan="1">StepDefinations.RunnerClasss</td><td><a href="#m0">runScenario</a></td><td rowspan="1">1677486802846</td><td rowspan="1">1659</td></tr><tr><th colspan="4">Default test &#8212; passed</th></tr><tr class="passedeven"><td rowspan="2">StepDefinations.RunnerClasss</td><td><a href="#m1">runScenario</a></td><td rowspan="2">1677486784600</td><td rowspan="2">8849</td></tr><tr class="passedeven"><td><a href="#m2">runScenario</a></td></tr></tbody>
</table>
<h2>Default test</h2><h3 id="m0">StepDefinations.RunnerClasss#runScenario</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr><tr class="param stripe"><td>&quot;&quot;</td><td>&quot;To validate the DemoWbshop Apllictations&quot;</td></tr><tr><th colspan="2">Exception</th></tr><tr><td colspan="2"><div class="stacktrace">java.io.FileNotFoundException: /home/ranjith/eclipse-workspace/DemoWebShop_Assiginment/src/test/resources/Captures/displyed.png (No such file or directory)
	at java.base/java.io.FileOutputStream.open0(Native Method)
	at java.base/java.io.FileOutputStream.open(FileOutputStream.java:293)
	at java.base/java.io.FileOutputStream.&lt;init&gt;(FileOutputStream.java:235)
	at com.google.common.io.Files$FileByteSink.openStream(Files.java:195)
	at com.google.common.io.Files$FileByteSink.openStream(Files.java:183)
	at com.google.common.io.ByteSource.copyTo(ByteSource.java:279)
	at com.google.common.io.Files.copy(Files.java:326)
	at StepDefinations.StepDefinations.user_capture_the_name_and_price_of_one_of_the_gift_cards_displayed(StepDefinations.java:137)
	at ✽.user  Capture the name and price of one of the  Gift cards displayed(file:///home/gokul/Downloads/DemoWebShop_Assiginment/src/test/resources/DeoWebshops/Demowebshop.feature:31)
</div></td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m1">StepDefinations.RunnerClasss#runScenario</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr><tr class="param stripe"><td>&quot;&quot;</td><td>&quot;To validate the DemoWbshop Apllictations&quot;</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m2">StepDefinations.RunnerClasss#runScenario</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr><tr class="param stripe"><td>&quot;To verify the product catogeriese funtionality&quot;</td><td>&quot;To validate the DemoWbshop Apllictations&quot;</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
</body>
</html>
